[**@rxap/forms v19.1.0**](../README.md)

***

[@rxap/forms](../globals.md) / controlDisabledWhile

# Function: controlDisabledWhile()

> **controlDisabledWhile**\<`T`\>(`control`, `observable`, `opts`?): `Subscription`

Defined in: [packages/angular/forms/src/lib/control-actions.ts:106](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/control-actions.ts#L106)

## Type Parameters

• **T**

## Parameters

### control

[`AbstractControl`](../interfaces/AbstractControl.md)\<`T`\>

### observable

`Observable`\<`boolean`\>

### opts?

[`ControlOptions`](../interfaces/ControlOptions.md)

## Returns

`Subscription`
